package com.javapapers.android.bundlednotifications;

import android.app.Notification;
import android.app.PendingIntent;
import android.content.Intent;
import android.os.Bundle;
import android.support.v4.app.NotificationCompat;
import android.support.v4.app.NotificationManagerCompat;
import android.support.v7.app.AppCompatActivity;
import android.view.View;

public class MainActivity extends AppCompatActivity {

    private int notificationId = 1;
    private String groupKey = "JavaPapers";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
    }

    public void createNotification(View view) {

        NotificationCompat.Builder builder =
                new NotificationCompat.Builder(this, groupKey);

        //set small icon and content title
        builder
                .setSmallIcon(R.drawable.ic_launcher_background)
                .setContentTitle("J.Papers");

        String text = "Hey, how are the notifications going?";
        //set supporting text
        builder.setContentText(text);

        Intent intent = new Intent(
                this, SecondActivity.class);
        PendingIntent pendingIntent = PendingIntent.getService(
                this, 0, intent, PendingIntent.FLAG_CANCEL_CURRENT);
        builder.setContentIntent(pendingIntent);

        builder.setStyle(new NotificationCompat.InboxStyle()
                .addLine("Hello")
                .addLine("Hi"))
                .setGroup(groupKey)
                .setGroupSummary(true);

        Notification notification = builder.build();

        //send notification
        NotificationManagerCompat.from(this)
                .notify(notificationId++, notification);
    }
}
